> ## Documentation Index
> Fetch the complete documentation index at: https://docs.elementum.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the list of comments



## OpenAPI

````yaml get /{recordType}/{alias}/{id}/comment
openapi: 3.0.1
info:
  title: Elementum API
  description: ''
  contact:
    email: apiteam@elementum.io
  version: 0.0.1
servers:
  - url: /v1
security: []
tags:
  - name: Access Token
    description: Manage access tokens using OAuth 2.0 standards
  - name: Records
    description: Manage your records
  - name: Related-items
    description: Manage the related items of a record
  - name: Attachments
    description: Manage the attachments of a record
  - name: Watchers
    description: Manage the watchers of a record
  - name: Comments
    description: Manage the conversation of a record
  - name: Users
    description: Manage users in your organization
  - name: Groups
    description: Manage groups and group membership
externalDocs:
  description: Find out more about Elementum
  url: https://www.elementum.com/
paths:
  /{recordType}/{alias}/{id}/comment:
    get:
      tags:
        - Comments
      summary: Get the list of comments
      operationId: getRecordComments
      parameters:
        - $ref: '#/components/parameters/recordType'
        - $ref: '#/components/parameters/alias'
        - $ref: '#/components/parameters/recordId'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommentPagedList'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '422':
          $ref: '#/components/responses/422'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
      security:
        - ClientCredentials: []
components:
  parameters:
    recordType:
      name: recordType
      in: path
      description: '''apps'', ''elements'', ''tasks'', or ''transactions'''
      required: true
      schema:
        type: string
        format: string
    alias:
      name: alias
      in: path
      description: The application alias
      required: true
      schema:
        type: string
        format: string
    recordId:
      name: id
      in: path
      description: The record ID
      required: true
      schema:
        type: string
        format: string
  schemas:
    CommentPagedList:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/Comment'
        total:
          type: integer
          format: int32
        paging:
          $ref: '#/components/schemas/PagingState'
    Comment:
      type: object
      properties:
        id:
          type: string
          description: The comment ID
        text:
          type: string
          description: The comment body text
        author:
          type: string
          description: The email of the comment author
        createdAt:
          type: string
          description: When the comment was created
          format: date-time
      example:
        id: c-789
        text: Shipment has been approved for release.
        author: user@example.com
        createdAt: '2026-03-15T14:22:00Z'
    PagingState:
      type: object
      properties:
        has_next_page:
          type: boolean
        end_cursor:
          type: string
        start_cursor:
          type: string
        has_previous_page:
          type: boolean
  responses:
    '400':
      description: Bad Request
    '401':
      description: Unauthorized
    '403':
      description: Forbidden
    '404':
      description: Not Found
    '422':
      description: Unprocessable Entity
    '429':
      description: Too Many Requests
    '500':
      description: Internal Server Error
  securitySchemes:
    ClientCredentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /oauth/token
          scopes: {}

````